> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a workflow

> Delete the specified workflow.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v3/create-manage-workflows-v3.json DELETE /automation/v3/workflows/{workflowId}
openapi: 3.0.0
info:
  title: Workflows API v3
  version: 1.0.0
  description: >-
    Workflows API v3 - Auto-generated from MDX documentation. Use the Workflows
    API to create and manage workflows, enroll or remove contacts, and retrieve
    performance data.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v3/workflows/{workflowId}:
    delete:
      summary: Delete a workflow
      description: Delete the specified workflow.
      operationId: deleteWorkflow
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: integer
          description: ID of the workflow
      responses:
        '204':
          description: Workflow deleted successfully
        default:
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string

````